// check-balance.js 
// Query blockchain.info API to get address balances
var prompt = require('cli-prompt');
var request = require('request');

// convert 'satoshi' to bitcoin value
var satoshiToBTC = function(value) {
	return value * 0.00000001;
}

prompt('Query Bitcoin balance: ', function (address) {	
	// query blockchain.info for the address in JSON format
	var url = "https://blockchain.info/address/" + address + "?format=json";
	request(url, function (error, response, body) {
		// check the results of the HTTP call
	  if (!error && response.statusCode == 200) {
	  	// parse the JSON results
	  	var result = JSON.parse(body);
	  	// display the results to the console
	  	// NOTE: results are in 'satoshis' and need to be converted to BTC
			console.log('Received: ' + satoshiToBTC(result.total_received));				
			console.log('Sent: ' + satoshiToBTC(result.total_sent));				
			console.log('Balance: ' + satoshiToBTC(result.final_balance));
	  } else {
	  	// handle the error
	  	console.log("Unable to find address");
	  	if (error)
	  		console.log("ERROR:", error);
	  }
	});
});