// escrow-send-tx.js
// broadcast the signed transaction to the network

var request = require('request');
var fs = require('fs');

// load the escrow json file
var escrow_filename = process.argv[2];
if (!escrow_filename) {
  console.log("Please provide the escrow filename.")
  console.log("example usage: node escrow-sign-tx.js ./escrow-3Bh334.json")
  return; 
}
var escrow = require(escrow_filename);

// broadcast the encoded transction to the network via blockchain.info
var options = {
  url:'https://blockchain.info/pushtx', 
  formData: {tx:escrow.encoded_tx}
};

request.post(options, function(err, httpResponse, body) {
  if (err) {
    console.error('Request failed:', err);
  } else {
    console.log('Broadcast results:', body);
  }
});